[lsb-discuss] Navigator reporting GL missing on Ubuntu 10.x

Craig Scott craig.scott at csiro.au
Thu Jan 20 18:26:44 PST 2011


I'm playing around with the lsb app checker (the web interface is really helpful - good work!) and I'm seeing some unexpected results for Ubuntu 10.04 and 10.10. On these specific distributions only, it claims that no libGL.so.1 is installed by default, but that it is present in various packages like fglrx..., nvidia-... and libgl1-mesa-glx. What strikes me as odd is that no GL package is installed by default according to the navigator. This is only the case for these two distributions - all other ones listed have GL libs available, including earlier Ubuntu versions.

It would seem to me that the mesa library should be considered "installed by default" as a baseline, just like it is for all other distributions and versions. If this is not the case, then any GL app will technically fail according to the app checker due to a missing GL library which isn't really missing at all.

-- 
Dr Craig Scott
Computational Software Engineering Team Leader, CSIRO (CMIS)
Melbourne, Australia


More information about the lsb-discuss mailing list